> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post searchv1libraries searchdrive

> Starts to cache search results asynchronously in a job. Returns the jobId.



## OpenAPI

````yaml /openapis/search.json post /search/v1/libraries/{libraryId}/search/drive
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: search
    description: Lets you search and count documents
paths:
  /search/v1/libraries/{libraryId}/search/drive:
    post:
      tags:
        - search
      description: >-
        Starts to cache search results asynchronously in a job. Returns the
        jobId.
      operationId: search:v1.Search.searchDocumentsExhaustively
      parameters:
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/classId_query_parameter'
        - $ref: '#/components/parameters/viewId_query_parameter'
        - name: searchQuery
          in: query
          description: The text searched to filter documents
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/publishState_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiFilterRequest'
        description: 'List of filters to apply to the search. '
        required: true
      responses:
        '200':
          description: A ApiJobId response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiJobId'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    classId_query_parameter:
      name: classId
      in: query
      description: The ID of the document class
      required: false
      schema:
        type: string
    viewId_query_parameter:
      name: viewId
      in: query
      description: The ID of the view
      required: false
      schema:
        type: string
    publishState_query_parameter:
      name: publishState
      in: query
      description: >-
        The type of documents to find: 'DRAFT_ONLY' to get draft versions only
        (if access to it), 'PUBLISHED' to get main versions only (if access to
        it), 'ALL' for both (the draft version if access to it else the main
        version). The last mode is the default one.
      required: false
      schema:
        type: string
        enum:
          - PUBLISHED
          - DRAFT_ONLY
          - ALL
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiFilterRequest:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/ApiFilterItem'
        kind:
          type: string
    ApiJobId:
      type: object
      properties:
        jobId:
          type: string
        kind:
          type: string
    ApiFilterItem:
      type: object
      properties:
        column:
          type: string
        joinType:
          type: string
          enum:
            - AND
            - OR
        kind:
          type: string
        operator:
          type: string
          enum:
            - EQUAL
            - NOT_EQUAL
            - STRICTLY_GREATER_THAN
            - STRICTLY_LESSER_THAN
            - GREATER_THAN_OR_EQUAL_TO
            - LESSER_THAN_OR_EQUAL_TO
            - BETWEEN
            - EMPTY
            - NOT_EMPTY
            - WITHIN_THE_AREA
            - IN
            - NOT_IN
            - STARTS_WITH
            - ENDS_WITH
            - CONTAINS_SUBSTRING
        value:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````